Skip to content

Download all Attachment field files from the specified object record.

GET/api/{version}/vobjects/{object_name}/{object_record_id}/attachment_fields/file
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value. For example, product__v.
{object_record_id}The object record id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/vobjects/product__v/00P000000000202/attachment_fields/file
Content-Type: application/zip;charset=UTF-8 Content-Disposition: attachment;filename="Product - Cholecap - attachment fields.zip"

On SUCCESS, Vault retrieves the file from the specified Attachment field from the object record. The files are packaged in a ZIP file with the file name: {object label} {object record name} - attachment fields.zip. When extracted, it will include a subfolder for each Attachment field included in the response.

The HTTP Response Header Content-Type is set to application/zip;charset=UTF-8. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file. When downloading files with very small file size, the HTTP Response Header Content-Length is set to the size of the file. For most Attachment field downloads (larger file sizes), the Transfer-Encoding method is set to chunked and the Content-Length is not displayed.